com.sun.grid.jgdi.configuration

## Class ResourceDiagramEntryImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ResourceDiagramEntryImpl

- All Implemented Interfaces:
    GEObject, ResourceDiagramEntry, java.io.Serializable, java.lang.Cloneable

      public class ResourceDiagramEntryImpl
      extends GEObjectImpl
      implements ResourceDiagramEntry

  Java representation of the cull object RDE_Type defined in sge_all_listsL.template

  Warning: The ResourceDiagramEntryImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceDiagramEntryImpl()` Create a new instance of ResourceDiagramEntryImpl.
    `ResourceDiagramEntryImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `double` | `getAmount()` Get the value of the amount attribute.
    `int` | `getTime()` Get the value of the time attribute.
    `boolean` | `isSetAmount()` Determine if the amount attribute is set
    `boolean` | `isSetTime()` Determine if the time attribute is set
    `void` | `setAmount(double aAmount)` Set the amount attribute.
    `void` | `setTime(int aTime)` Set the time attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### ResourceDiagramEntryImpl

          public ResourceDiagramEntryImpl()

      Create a new instance of ResourceDiagramEntryImpl. The new instance will not be initialized with the default values.

    - #### ResourceDiagramEntryImpl

          public ResourceDiagramEntryImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetTime

          public boolean isSetTime()

      Determine if the time attribute is set
      Specified by:
        `isSetTime` in interface `ResourceDiagramEntry`
      Returns:
        `true` if the time attribute is set

    - #### setTime

          public void setTime(int aTime)

      Set the time attribute.
      Specified by:
        `setTime` in interface `ResourceDiagramEntry`
      Parameters:
        `aTime` - the new value for the time attribute

    - #### getTime

          public int getTime()

      Get the value of the time attribute.
      Specified by:
        `getTime` in interface `ResourceDiagramEntry`
      Returns:
        the value of the time attribute

    - #### isSetAmount

          public boolean isSetAmount()

      Determine if the amount attribute is set
      Specified by:
        `isSetAmount` in interface `ResourceDiagramEntry`
      Returns:
        `true` if the amount attribute is set

    - #### setAmount

          public void setAmount(double aAmount)

      Set the amount attribute.
      Specified by:
        `setAmount` in interface `ResourceDiagramEntry`
      Parameters:
        `aAmount` - the new value for the amount attribute

    - #### getAmount

          public double getAmount()

      Get the value of the amount attribute.
      Specified by:
        `getAmount` in interface `ResourceDiagramEntry`
      Returns:
        the value of the amount attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ResourceDiagramEntry`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.